v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/randlists/{rndlistid}/blocks
Retrieves a list of randomization blocks. Rights: OrsRandListGet, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
rndlistid(required): string
ID of the randomization list.Example:
RNDLIST-001 -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : RandListBlockTO
Type:
objectTitle:
RandListBlockTOContains randomization list block details.
Show Source
-
block: number
(double)
Block numberExample:
10 -
blockedBy: string
Unique IDExample:
B1B8327AFAA6412287106192AB5984EF
Examples
404 Response
For Invalid study ID or version or randomization list not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples